clear
set more off

cap log close
log using nhanes-pa-bp-gllamm, replace

use nhanes-pa-bp

keep in 1/200

* the following are endogenous variables measured with error
unab indicators : l*hrs bp*

forvalues k = 1/`: word count `indicators'' {
   clonevar resp`k' = `: word `k' of `indicators''
}

reshape long resp, i(seqn) j(j)

tab j, gen( item )
drop if mi(resp)

* activity at work
eq work : item2 item1 item3

* fitness activity
eq fit  : item5 item4 item3

* blood pressure measurements
eq blood : item6 item7 item8 item9 item10 item11

* error variances
eq var : item1 item2 item3 item4 item5 item6 item7 item8 item9 item10 item11

* regression between latent variables
mat B = ( 0, 1, 1 \ 0, 0, 1 \ 0, 0, 0 )

* latent variable regression
gen byte ones = 1
eq f1 : age10 agesq black hisp female ones

gllamm resp item1-item11, nocons ///
    nrf(3) eq( blood fit work ) geq( f1 ) bmat(B) s( var ) i( seqn ) nocorr ///
    trace noest

gllamm resp item1-item11, nocons ///
    nrf(3) eq( blood fit work ) geq( f1 ) bmat(B) s( var ) i( seqn ) nocorr ///
    dots adapt

est save nhanes-pa-bp-gllamm, replace

log close

exit
